{% extends 'base.html.twig' %}

{% block title %}Mon espace personnel{% endblock %}

{% block content %}
    <div class="container-fluid my-4">
        <div class="row my-4">
            <div class="col-12 col-lg-10 offset-lg-1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                        <li class="breadcrumb-item active" aria-current="page">Mon espace personnel</li>
                    </ol>
                </nav>
            </div>
        </div>

        <div class="row my-4">
            <div class="col-12 col-lg-10 offset-lg-1">
                <h1>Mon espace personnel</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-12 col-md-4 col-lg-3 offset-lg-1 order-2 order-md-1">
                <h2 class="text-balise">Mes informations</h2>

                <p class="card-text my-2 lead">
                    Licence fédérale FFCO<br/>
                    {% if app.user.base is not empty %}
                        <span class="badge badge-info">{{ app.user.base }}</span>
                    {% else %}
                        <span class="badge badge-warning">Non renseigné</span>
                    {% endif %}
                </p>

                <p class="card-text my-2 lead">
                    Prénom<br/>
                    {% if app.user.firstName is not empty %}
                        <span class="badge badge-info">{{ app.user.firstName }}</span>
                    {% else %}
                        <span class="badge badge-warning">Non renseigné</span>
                    {% endif %}
                </p>

                <p class="card-text my-2 lead">
                    Nom<br/>
                    {% if app.user.lastName is not empty %}
                        <span class="badge badge-info">{{ app.user.lastName }}</span>
                    {% else %}
                        <span class="badge badge-warning">Non renseigné</span>
                    {% endif %}
                </p>

                <a class="d-block d-md-inline-flex btn btn-primary my-4" href="{{ path('app_profile_update') }}">Modifier mon profil</a>
                <a class="d-block d-md-inline-flex text-danger text-center my-4 ml-md-4" href="{{ path('app_profile_delete')}}">Supprimer mon compte</a>
            </div>

            <div class="col-12 col-md-6 order-1 order-md-2">
                <h2 class="text-balise">Mes événements à venir</h2>
                {% if events is defined and events is not empty %}
                    <div class="row d-block d-md-flex overflow-auto text-nowrap infinite-scroll-x my-2">
                        {% include 'default/parts/homepage_mobile_entity_list.html.twig' with {'entities': events, 'type': 'event'} only %}
                    </div>
                {% else %}
                    <p class="lead">Vous n'avez aucun événement à venir</p>
                {% endif %}
            </div>

            <div class="col-12 col-lg-10 offset-lg-1 order-3 my-4">
                <h2 class="text-balise">Mes inscriptions</h2>
                <table id="event-entries" class="table table-striped">
                    <thead class="bg-primary text-white">
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Événement</th>
                            <th scope="col">Prénom</th>
                            <th scope="col">Nom</th>
                            <th scope="col">Circuit</th>
                            <th scope="col">Commentaire</th>
                            <th scope="col">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for people in peoples %}
                            <tr>
                                <td>{{ loop.index }}</td>
                                <td><a href="{{ path('pi_crud_show', {'type': 'event', 'id': people.event.id, 'slug': people.event.slug})}}">{{ people.event }}</a></td>
                                <td>{{ people.firstName }}</td>
                                <td>{{ people.lastName }}</td>
                                <td>{{ people.circuit }}</td>
                                <td>{{ people.comment }}</td>
                                <td class="d-inline-flex">
                                    {% include '@PiCRUD/includes/admin_actions.html.twig' with {'type': 'people', 'entity': people, 'label_attr': 'd-none'} %}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}
